LibreOffice: XFunctionAccess Interface Reference

LibreOffice LibreOffice 26.2 SDK API Reference

Loading...
Searching...
No Matches
XFunctionAccess Interface Referencepublished

allows generic access to all spreadsheet functions. More...

`import "XFunctionAccess.idl";`

Inheritance diagram for XFunctionAccess:

## Public Member Functions
any | callFunction ([in] string aName, [in] sequence< any > aArguments) raises ( com::sun::star::container::NoSuchElementException, com::sun::star::lang::IllegalArgumentException )
| calls a function and returns the result of the call.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

allows generic access to all spreadsheet functions.

See also
  com::sun::star::sheet::FunctionAccess

## Member Function Documentation

## ◆ callFunction()

any callFunction | ( | [in] string | aName,
|  | [in] sequence< any > | aArguments )
raises | ( | com::sun::star::container::NoSuchElementException,
|  | com::sun::star::lang::IllegalArgumentException ) |  |  |

calls a function and returns the result of the call.

Parameters

  aName | the (programmatic) name of the function.
  aArguments | the arguments for the function call. Each element must be of one of the following types: long or double for a numeric value. string for a textual value. long[][] or double[][] for an array of numeric values. string[][] for an array of textual values. any[][] for a mixed array, where each element must be of VOID, long, double or string type. com::sun::star::table::XCellRange for a SheetCellRange object that contains the data.

Returns

  the result of the function call.

  Possible types for the result are:

  VOID

    if no result is available.

  double

    for a numeric result.

  string

    for a textual result.

  any[][]
    for an array result, containing double and string values.

Exceptions

  com::sun::star::container::NoSuchElementException | if the named function does not exist.
  com::sun::star::lang::IllegalArgumentException | if the function can not be called with these arguments.

The documentation for this interface was generated from the following file:

- com/sun/star/sheet/XFunctionAccess.idl